body {
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: #8b8a8a;
}

.marquee-container {
    width: 100%;
    overflow: hidden;
    background-color: #f0f0f0; 
    color: #333; 
    font-size: 1.5rem;
    font-weight: bold;
    white-space: nowrap;
    box-sizing: border-box;
    padding: 10px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
}

.marquee-text {
    display: inline-block;
    position: relative;
    left: 100%;
    animation: marquee 20s linear infinite;
    white-space: nowrap; 
}

@keyframes marquee {
    0% {
        left: 100%;
    }
    100% {
        left: -100%;
    }
}
@media (max-width: 600px) { 
    .marquee-text { font-size: 16px; 
    animation: marquee 30s linear infinite; }
    }

nav {
    margin-top: 35px;
}

/* Estilos CSS */
.navbar {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 1rem 2rem;
    background: linear-gradient(90deg, #333333, #555555);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    position: relative;
}

.navbar .logo img {
    width: 100px; 
    height: auto; 
}

.company-name h1 {
    color: white;
    margin: 0;
    font-size: 1.5rem;
    margin-top: 0.5rem;
    text-align: center;
}

.company-name h1:hover {
    color: #ff5722; 
    transform: scale(1.1); 
}

.nav-links {
    list-style: none;
    display: flex;
    margin: 0;
    padding: 0;
    flex-direction: row;
}

.nav-links li {
    margin-left: 2rem;
}

.nav-links a {
    color: white;
    text-decoration: none;
    font-size: 1.2rem;
    transition: color 0.3s;
}

.nav-links a:hover {
    color: #ff5722;
}

.menu-toggle {
    display: none;
    font-size: 2rem;
    color: white;
    background: none;
    border: none;
    cursor: pointer;
    position: absolute;
    right: 2rem; 
    top: 1rem;

}


@media (max-width: 768px) {
.navbar {
    flex-direction: column;
    align-items: center;
}


.company-name h1 {
    margin-left: 0;
    margin-top: 1rem;
}

.nav-links {
    flex-direction: column;
    width: 100%;
    display: none; 
    align-items: center;
}

.nav-links li {
    margin: 0.5rem 0;
}

.nav-links a {
    font-size: 1.5rem;
    padding: 0.5rem;
}

.menu-toggle {
    display: block; 
}

.nav-links.active {
    display: flex; 
}
}

.hero-section {
    position: relative;
    text-align: center;
    color: white;
}

.hero-section img {
    width: 100%; 
    height: auto;
    border-radius: 8px; 
}
.hero-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(0, 0, 0, 0.5); 
    padding: 15px;
    border-radius: 5px;
    width: 80%;
    max-width: 600px;
}

.hero-text h2 {
    margin-bottom: 10px;
    font-size:2em;
}
.hero-text p {
    margin-bottom: 20px;
    font-size:1.2em;
}
.contact-button  {
    background-color: #f44336;
    color: white;
    padding: 10px;
    border: none;
    border-radius: 5px;
    font-size: 18px;
    text-transform: uppercase;
    font-weight: bold;
    cursor: pointer;
    text-decoration: none;
}
@media (min-width: 320px) and (max-width: 480px) {
    .hero-text h2, .hero-text p {
        font-size: 1.0em;
        margin :3px;
    }
    .contact-button {
        font-size: 14px;
        padding: 4px;
    }
}

@media (min-width: 480px) and (max-width: 768px) {
    .hero-text h2, .hero-tex p {
        font-size: 1.5em;
    }
    .contact-button {
        font-size: 16px;
    }
}

@media (min-width: 320px) and (max-width: 480px) { 
    .hero-text { 
        width: 85%; 
        padding: 10px;
    } 
}


@media (min-width: 480px) and (max-width: 768px) { 
    .hero-text { 
        width: 80%; 
        padding: 12px; } 
}

header {
    text-align: center;
    padding: 20px;
    background-color: #d7d7d7;
}
header h1 {
    margin: 0;
    font-size: 2.2em;
}
header p {
    margin: 10px 0 0;
    font-size: 1.2em;
}

.main-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 1rem;
}
.intro {
    text-align: center;
    padding: 1rem;
    background-color: #d7d7d7; 
    margin-top: 0.2rem;
    border-radius: 8px; 
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); 
}

.intro .container{
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 1rem;
}

.intro h2 {
    margin-bottom: 1rem;
    font-size: 2rem;
    color: #333; 
}

.intro p {
    font-size: 1.2rem;
    color: #555; 
}

.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip-path: inset(50%);
    border: 0;
}


.services {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    padding: 20px;
}
.service {
    flex: 1 1 30%;
    box-sizing: border-box;
    padding: 20px;
    margin: 10px;
    background-color: #ddd8d8;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    text-align: center;
    border-radius: 5px;
    transition: transform 0.3s ease ;
}
.service:hover {
    transform: scale(1.05);
}
.service img {
    max-width: 100%;
    height: auto;
    border-radius: 5px;
    transition: opacity 0.3s ease;
}
.service:hover img{
    opacity:0.9;
}
.service h2 {
    font-size: 1.5em;
    margin: 10px 0;
    color: #333;
}
.service p {
    font-size: 1em;
    color: #666;
}

.cta-button {
    display: inline-block;
    margin-top: 1rem;
    padding: 0.5rem 1rem;
    background-color: #ff5722;
    color: white;
    text-decoration: none;
    font-size: 1rem;
    border-radius: 5px;
    transition: background-color 0.3s;
}

.cta-button:hover {
    background-color: #e64a19;
}

@media (max-width: 768px) {
.service {
    flex: 1 1 45%;
}
}
@media (max-width: 480px) {
.service {
    flex: 1 1 100%;
}
}

/* servicios */

section {
    padding: 2rem;
}

.servicios-container {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    justify-content: space-around;
    margin-top: 1rem;
}

.servicio {
    padding: 1rem;
    flex: 1 1 calc(50% - 2rem);
    box-sizing: border-box;
    min-width: 300px;
    border-radius:8px;
    background-color: #bcaaaa;
    transition: transform 0.3s, background-color 0.3s, box-shadow 0.3s, color 0.3s;
    border: 3px solid #ccc;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); 
}

.servicio:hover {
    transform: scale(1.05);
    background-color: #333333; 
    color: rgb(227, 142, 142); 
}

.servicios-header {
    background-color: #d0ccccf6; 
    color: #333; 
    padding: 1rem;
    border-radius: 8px;
    text-align: center;
    margin-bottom: 0.5rem;
    box-shadow: 0 4px 8px rgb(196, 146, 146); 
    border: 3px solid #ccc; 
}

.titulo-servicios {
    margin: 0;
    font-size: 2rem;
}

.descripcion {
    font-size: 1.2rem;
    margin: 0;
}

h3 {
    margin-top: 1rem;
}


.servicio:hover h3, .servicio:hover p {
    color: rgb(227, 142, 142); 
}

@media (max-width: 600px) {
.servicio {
    flex: 1 1 100%;
}
}



/* contacto */
.contact-info {
    text-align: center;
    padding: 2rem;
    background-color: #d7d7d7;
    margin-top: 0.2rem;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.contact-info h2 {
    margin-bottom: 1rem;
    font-size: 2rem;
    color: #2b2b2b;
}

.blinking {
    animation: colorAndScale 1.5s infinite alternate;
    color: #333333; 
    padding: 10px; 
    border-radius: 5px;
    background-color: #f0f0f0; 
    border: 2px solid #ccc; 
    display: inline-block; 
}

@keyframes colorAndScale {
    0% {
        transform: scale(1);
        color: #333333; 
    }
    100% {
        transform: scale(1.2); 
        color: #ff6600; 
    }
}


@media (max-width: 500px) {
    .blinking {
        font-size: 14px; 
        padding: 8px; 
        border-radius: 4px; 
        background-color: #e0e0e0; 
        border: 1px solid #bbb; 
    }
}

@media (max-width: 320px) {
    .blinking {
        font-size: 12px; 
        padding: 6px;
        border-radius: 3px; 
        background-color: #d0d0d0; 
        border: 1px solid #aaa; 
    }
}



.contact-info p {
    font-size: 1.2rem;
    color: #2e2b2b;
}

.contact-info p strong {
    color: #2b2b2b; 
}

.contact-info a { 
    color: #c53104; 
    font-size: 1.1rem;
    font-weight:bold;
    text-decoration: none;
}


.contact-info a:hover {
    color: #c53104;
    transform: scale(1.15); 
    transition: color 0.3s, transform 0.3s; 
    text-decoration: underline;
    font-size: 1.3rem; 
}
/* Estilos para la sección del mapa */
.map {
    text-align: center;
    padding: 2rem;
    margin-top: 0.3rem;
    margin-bottom: 0.3rem;
    border-radius: 15px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.map-container {
    display: flex;
    justify-content: center;
    margin-top: 1rem;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.8);
    background-color: #bbc2bd;
}

.map h2 {
    margin: 0.1rem;
    font-size: 2rem;
    color: #0e0d0d;
}

.map-container iframe {
    border-radius: 10px;
}

.map h2:hover {
    color: #c53104; 
    transform: scale(1.05); 
    transition: color 0.3s, transform 0.3s; 
}


.footer {
    background: linear-gradient(to bottom, #555555, #666666, #777777, #888888);
    color: #ffffff; 
    text-align: center;
    padding: 2rem;
    border-top: 1px solid #cccccc;
}

.footer-content p {
    margin: 0.5rem 0;
    color: #ffffff; 
}

.footer-content p strong {
    display: block;
    margin-bottom: 0.5rem;
    font-size: 1.2rem;
    color: #ffffff; 
}

.footer a {
    color: #ffffff; 
    text-decoration: none;
}

.footer a:hover {
    text-decoration: underline;
    color: #000000;
    transform: scale(1.15); 
    transition: color 0.3s, transform 0.3s; 
    text-decoration: underline;
    font-size: 1.3rem; 
}

.contact-client {
    margin: 1rem 0;
}

.contact-designer-wrapper {
    display: flex;
    justify-content: flex-start; 
    margin-top: 2rem; 
}

.contact-designer {
    font-size: 0.9rem;
    color: #cccccc; 
    opacity: 0.8;
    text-align: left;
}

.footer-separator {
    border: 0;
    border-top: 1px solid #ffffff; 
    margin: 1rem auto;
    width: 30%; 
}


@media (max-width: 600px) {
.footer-content p {
    font-size: 16px; 
}

.footer-content p:first-child {
    display: block;
}

.footer-content p:first-child span {
    display: block;
    margin-top: 0.5rem;
    text-align: center;
    font-size: 14px; 
}
}

.back-to-top {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 50px;
    height: 50px;
    background-color: #f44336;
    color: white;
    border-radius: 50%;
    text-align: center;
    line-height: 50px;
    font-size: 24px;
    text-decoration: none;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s ease;
}

.back-to-top:hover {
    background-color: #d32f2f;
}

@keyframes bounce {
    0%, 20%, 50%, 80%, 100% {
        transform: translateY(0);
    }
    40% {
        transform: translateY(-15px);
    }
    60% {
        transform: translateY(-7px);
    }
}

.whatsapp-button {
    position: fixed;
    bottom: 80px; 
    right: 20px;
    width: 50px;
    height: 50px;
    background-color: #25D366;
    color: white;
    border-radius: 50%;
    text-align: center;
    line-height: 50px;
    font-size: 24px;
    text-decoration: none;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s ease;
    animation: bounce 2s infinite;
    margin-bottom: 10px; 
}

.whatsapp-button:hover {
    background-color: #1ebea5;

}


.whatsapp-button:active {
    background-color: #1ebea5; /* Color igual al hover al presionar */
}

.whatsapp-button:after {
    content: attr(aria-label); /* Mostrar el texto del aria-label */
    position: absolute;
    bottom: 55px; /* Reducido para acercar el cartel al botón */
    right: 0;
    background-color: #1ebea5; /* Color igual al del hover */
    color: white;
    padding: 5px 10px; /* Ajusta el padding para un mayor espaciado horizontal */
    border-radius: 5px;
    font-size: 12px; /* Tamaño de texto reducido */
    display: none; /* Inicialmente oculto */
    white-space: nowrap; /* Evitar que el texto se divida en varias líneas */
    max-width: 250px; /* Establece un tamaño máximo horizontal para que no ocupe todo el ancho */
    text-overflow: ellipsis; /* Cortar el texto si es muy largo */
    overflow: hidden; /* Asegurarse de que no haya desbordamientos */
}

.whatsapp-button:hover:after {
    display: block; /* Mostrar el texto al hacer hover */
}


/* Media Query para pantallas pequeñas */
@media (max-width: 480px) {
    .whatsapp-button:after {
        font-size: 10px; /* Texto más pequeño */
        padding: 3px 6px; /* Ajuste de padding */
        max-width: 150px; /* Reducir el tamaño máximo del tooltip */
    }
}
*:focus {
    outline: none !important;
    -webkit-tap-highlight-color: transparent;
}

.nav-links a:focus,
.whatsapp-button:focus,
.back-to-top:focus,
.menu-toggle:focus {
    outline: none !important;
    -webkit-tap-highlight-color: transparent;
}

.credencial a{
    color:#f27425f3;
    font-weight:bold ;
    font-style: normal;
    text-transform: uppercase;
    
}
.credencial a:hover {
    color: #000000;
    transform: scale(1.15); 
    transition: color 0.3s, transform 0.3s; 
    text-decoration: underline;
    font-size: 1.3rem; 
}



